Skip to main content
GET
/
api
/
v2
/
platform
/
promotion_rules
/
{id}
Return a Promotion Rule
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('http://{defaultHost}/api/v2/platform/promotion_rules/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": "6",
    "type": "promotion_rule",
    "attributes": {
      "type": null,
      "created_at": "2022-11-08T19:35:01.163Z",
      "updated_at": "2022-11-08T19:35:01.163Z",
      "code": null,
      "preferences": {}
    },
    "relationships": {
      "promotion": {
        "data": {
          "id": "17",
          "type": "promotion"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

include
string

Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes

Response

Record found

data
object
required